<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\TeilnehmerUebersicht;

use Kufer\KuferTools\Utils\DatamodulHelper\TeilnehmerHelper\TeilnehmerHelper;
use Kufer\Web\KuferTools\Utils\FilterSettings\Teilnehmer\TeilnehmerFilterSettingsHelper;


class TeilnehmerUebersichtUseCase extends \Kufer\KuferTools\Basis\TeilnehmerInfo\TeilnehmerUebersicht\TeilnehmerUebersichtUseCase
{
  public static function getToolSectionId()
  {
    return 41;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_MA;
  }

  protected function getTeilnehmerHelper()
  {
    return TeilnehmerHelper::createMitarbeiterTeinehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }

  protected function isNeuerTeilnehmerAllowed()
  {
    return $this->isRechtAllowed('41.0.2');
  }

  protected function verlinkePanelHeaderAllowed()
  {
    
    return $this->isRechtAllowed('41.0.1') == 2
                                     && \ToolsAPI::rechteOR(array('411.1.1', '411.1.2', '411.1.3'), $this->getToolId());
  }
}